%define         git          a7daf1f
%define         gitdate      20131104
%define         major        5
%define         libname      %mklibname yui %{major}-qt
%define         develname    %mklibname -d yui-qt

Name:           libyui-qt
Version:        2.43.5
Release:        %mkrel -c git%{gitdate} 5
Summary:        UI abstraction library - Qt plugin
License:        LGPLv2+
Group:          System/Libraries
Url:            https://github.com/libyui/libyui-qt
Source0:        %{name}-%{version}-%{git}.tar.bz2

BuildRequires:    png-devel
BuildRequires:    yui-devel
BuildRequires:    qt4-devel
BuildRequires:    cmake
BuildRequires:    boost-devel
BuildRequires:    doxygen
BuildRequires:    texlive
%if %mgaver > 3
BuildRequires:    texlive-dist
%endif
BuildRequires:    ghostscript
Requires:         libyui
Requires:         python-qt4

%description
%{summary}

#-----------------------------------------------------------------------

%package -n %libname
Summary:        %{summary}
Group:          System/Libraries
Requires:       libyui
Provides:       %{name} = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs
dynamically linked with libyui-qt.

%files -n %libname
%doc COPYING*
%{_libdir}/yui/lib*.so.*


#-----------------------------------------------------------------------

%package -n %develname
Summary:        %{summary} header files
Group:          Development/KDE and Qt
Requires:       libyui-devel
Requires:       %{name} = %{version}-%{release}


%description -n %develname
This package provides headers files for libyui-qt development.

%files -n %develname
%{_includedir}/yui
%{_libdir}/yui/lib*.so
%{_libdir}/pkgconfig/libyui-qt.pc
%{_libdir}/cmake/libyui-qt
%doc %{_docdir}/libyui-qt%{major}

#-----------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}-%{git}
%apply_patches

%build
./bootstrap.sh
%cmake -DPREFIX=%{_prefix}  \
       -DDOC_DIR=%{_docdir} \
       -DLIB_DIR=%{_lib}    \
       -DINSTALL_DOCS=yes


%make docs

%install
rm -rf %{buildroot}
%makeinstall_std -C build
find "%{buildroot}" -name "*.la" -delete


%changelog
* Sun Dec 01 2013 matteo <matteo> 2.43.5-0.git20131104.5.mga4
+ Revision: 554476
- add missing br (texlive-dist)

  + anaselli <anaselli>
    - updated to upstream/master

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Wed Jul 10 2013 fwang <fwang> 2.43.3-0.git20130630.3.mga4
+ Revision: 452369
- rebuild for new boost

* Sun Jun 30 2013 anaselli <anaselli> 2.43.3-0.git20130630.2.mga4
+ Revision: 448646
- license changed

* Sun Jun 30 2013 anaselli <anaselli> 2.43.3-0.git20130630.1.mga4
+ Revision: 448639
- changed URL
- changed package name to libyuiX-qt (where X is so major version)
- new version 2.43.3

* Fri Jan 18 2013 anaselli <anaselli> 2.42.3-0.git20121227.4.mga3
+ Revision: 389485
- Updated to master

* Sat Jan 12 2013 umeabot <umeabot> 2.42.3-0.git20121227.3.mga3
+ Revision: 358737
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 anaselli <anaselli> 2.42.3-0.git20121227.2.mga3
+ Revision: 341399
- Rebuilt against new libyui

* Thu Dec 27 2012 anaselli <anaselli> 2.42.3-0.git20121227.1.mga3
+ Revision: 335717
- updated to git master

* Tue Nov 27 2012 anaselli <anaselli> 2.42.2-0.git20121126.2.mga3
+ Revision: 322389
- Updated source package

* Tue Nov 27 2012 anaselli <anaselli> 2.42.2-0.git20121126.1.mga3
+ Revision: 322361
- New version from git master (new calendar widget)

* Sat Nov 10 2012 anaselli <anaselli> 2.42.2-0.git20121106.1.mga3
+ Revision: 316867
- Updated to yui master

* Sat Nov 03 2012 anaselli <anaselli> 2.42.2-0.git20121103.1.mga3
+ Revision: 313425
- Updated to https://github.com/anaselli/libyui-qt to add missed functions

* Mon Oct 29 2012 anaselli <anaselli> 2.42.2-0.git20121029.2.mga3
+ Revision: 311537
- Updated to git 20121029, to add missed functionalities

* Sun Sep 16 2012 anaselli <anaselli> 2.42.2-0.git20120908.2.mga3
+ Revision: 294620
- new git version 2.42.2 c3c2e95
- added documentation
- used git date to allow package upgradability

* Sun Jul 22 2012 anaselli <anaselli> 2.42.1-0.git.1fceed4.1.mga3
+ Revision: 273625
- New 2.42.1 from github

  + matteo <matteo>
    - spec file reviewed

* Sun Jun 17 2012 matteo <matteo> 2.21.1-1.mga3
+ Revision: 261273
- added missing group definition
- removed unnecessary build requirements
- imported package libyui-qt

